Qt 5.11 | Qt 3D | C++ Classes | QLineWidth

Qt 5.11.3 Reference Documentation

# QLineWidth Class

(Qt3DRender::QLineWidth)

Specifies the width of rasterized lines. More...

Header: | #include <QLineWidth>
qmake: | QT += 3drender
Since: | Qt 5.10
Instantiated By: | LineWidth
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Properties

- smooth : bool
- value : float

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QLineWidth(Qt3DCore::QNode *parent = nullptr)
virtual | ~QLineWidth()
bool | smooth() const
float | value() const

- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSmooth(bool enabled)
void | setValue(float value)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | smoothChanged(bool enabled)
void | valueChanged(float value)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Specifies the width of rasterized lines.

## Property Documentation

### smooth : bool

Access functions:

bool | smooth() const
void | setSmooth(bool enabled)

Notifier signal:

void | smoothChanged(bool enabled)

### value : float

Specifies the width value to be used.

Access functions:

float | value() const
void | setValue(float value)

Notifier signal:

void | valueChanged(float value)

## Member Function Documentation

### QLineWidth::QLineWidth(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QLineWidth.

### `[virtual]` QLineWidth::~QLineWidth()

Destroys the instance of QLineWidth. The destructor is virtual.